
%TP1_ suite  
%Somme de 2 signaux sinusodaux (DTMF), spectre, influence du bruit 
%Analyser et tester le progamme ci-dessous 
%Essayer diffrents couples de frquences 
%Modifier l'intensit du bruit 

clear all;
hold off;
duree= 0.1;          				%duree du signal en secondes
fe = 8000;	      					%frquence d'chantillonnage 8kHz (44,1 pour qualit CD )
Te = 1/fe;						
n_ech= duree*fe;
t=0:Te:duree;
f1= 697 ;   	 						%[697 770 852 941];
f2=1209 ;								%[1209 1336 1447 1633];
w1=2*pi*f1;
w2=2*pi*f2;
y(1,:)=sin(w1*t);
y(2,:)=sin(w2*t);
y(3,:)=y(1,:)+y(2,:);
y(4,:)=2*(rand(1,n_ech+1)-0.5);	%bruit
y(5,:)=y(3,:)+y(4,:);
figure(1);
for i=1:5
   subplot(5,1,i);
   plot(t,y(i,:));
   ylabel(strcat('y',int2str(i)));
   pause
   sound(y(i,:),fe);
end
figure(2);
for i=1:5
	[amplitude,phase,frequence]=fourier(y(i,:),fe) %analyse spectrale
	subplot(5,1,i);
   plot(frequence,amplitude);
   ylabel(strcat('y',int2str(i)));
   pause
   sound(y(i,:),fe);
end
pause
close(figure(1))
close(figure(2))

